Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.path
Class MapKeyHelpers

    java.lang.Object
      org.hibernate.ejb.criteria.path.MapKeyHelpers

    public class MapKeyHelpers

extends Object

`MapJoin.key()` poses a number of implementation difficulties in terms of the type signatures amongst the `MapKeyHelpers.MapKeyPath`, `Join` and `Attribute` reference at play. The implementations found here provide that bridge.

Nested Class Summary
`static class` | `MapKeyHelpers.MapKeyAttribute<K>` Defines an `Attribute` modelling of a map-key.
`static class` | `MapKeyHelpers.MapKeyPath<K>` Models a path to a map key.
`static class` | `MapKeyHelpers.MapKeySource<K,V>` Defines a `Path` for the map which can then be used to represent the source of the map key "attribute".

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.